<?php

/**
 *
 * Default view
 *
 * @version             1.0.0
 * @package             Gavern Framework
 * @copyright			Copyright (C) 2010 - 2011 GavickPro. All rights reserved.
 *               
 */
 
// No direct access.
defined('_JEXEC') or die;
// 
$this->layout->generateColumnsWidth();
$this->layout->generateLayout(20);
//
$app = JFactory::getApplication();
$user = JFactory::getUser();
// getting User ID
$userID = $user->get('id');
// getting params
$option = JRequest::getCmd('option', '');
$view = JRequest::getCmd('view', '');
// defines if login is active
define('GK_LOGIN', $this->API->modules('login'));
// defines if com_users
define('GK_COM_USERS', $option == 'com_users' && ($view == 'login' || $view == 'registration'));
// other variables
$btn_login_text = ($userID == 0) ? JText::_('TPL_GK_LANG_LOGIN') : JText::_('TPL_GK_LANG_LOGOUT');
$tpl_page_suffix = $this->page_suffix != '' ? ' class="'.$this->page_suffix.'"' : '';
//
$top_1_6_columns = $this->layout->generateColumnsBlock(6, 'top', 'top1', 1);

?>
<!DOCTYPE html>
<html lang="<?php echo $this->APITPL->language; ?>">
<head>
    <?php if($this->API->get("chrome_frame_support", '0') == '1' && ($this->browser->get('browser') == 'ie8' || $this->browser->get('browser') == 'ie7' || $this->browser->get('browser') == 'ie6')) : ?>
    <meta http-equiv="X-UA-Compatible" content="chrome=1"/>
    <?php endif; ?>
    <?php if($this->browser->get('browser') == 'ie8' || $this->browser->get('browser') == 'ie7' || $this->browser->get('browser') == 'ie6') : ?>
    <meta http-equiv="X-UA-Compatible" content="IE=9" />
    <?php endif; ?>
    <jdoc:include type="head" />
    <?php $this->layout->loadBlock('head'); ?>
</head>
<body<?php echo $tpl_page_suffix; ?>>	
	<?php if ($this->browser->get('browser') == 'ie7' || $this->browser->get('browser') == 'ie6') : ?>
	<div id="ieToolbar"><div><?php echo JText::_('TPL_GK_LANG_IE_TOOLBAR'); ?></div></div>
	<?php endif; ?>		
    <?php if(count($app->getMessageQueue())) : ?>
    <jdoc:include type="message" />
    <?php endif; ?>
    <div id="gkBg">
	<!--[if IE 8]><div><div><![endif]-->
	    <section id="gkPageTop">                    	
    		<?php if((GK_LOGIN && !GK_COM_USERS) || $this->API->modules('topnav')) : ?>
	    	<div id="gkTopNav">
	    		<?php if($this->API->modules('topnav')) : ?>
	    		<jdoc:include type="modules" name="topnav" style="<?php echo $this->module_styles['topnav']; ?>" />
	    		<?php endif; ?>
	    		
	    		<?php if(GK_LOGIN) : ?>
	    		<a href="<?php echo $this->API->URLbase(); ?>index.php?option=com_users&amp;view=login" id="btnLogin"><?php echo $btn_login_text; ?></a>
	    		<?php endif; ?>
	    	</div>
	    	<?php endif; ?>
		    	
		    <?php $this->layout->loadBlock('logo'); ?>
	    </section>
    
	    <section id="gkMainMenu"<?php if($this->API->modules('search')) : ?> class="hasSearch"<?php endif; ?>>
	    	<?php
	    		$this->mainmenu->loadMenu($this->API->get('menu_name','mainmenu')); 
	    	    $this->mainmenu->genMenu($this->API->get('startlevel', 0), $this->API->get('endlevel',-1));
	    	?>
	    	
	    	<?php if($this->config->get('generateSubmenu', 0) && $this->mainmenu->genMenu($this->API->get('startlevel', 0)+1, $this->API->get('endlevel',-1), true)): ?>
	    		<?php $this->mainmenu->genMenu($this->API->get('startlevel', 0)+1, $this->API->get('endlevel',-1));?>
	    	<?php endif; ?>
	    	
	    	<?php if($this->API->modules('search')) : ?>
	    	<div id="gkSearch">
	    		<jdoc:include type="modules" name="search" style="<?php echo $this->module_styles['search']; ?>" />
	    	</div>
	    	<?php endif; ?>
	    </section>
    
	    <?php if($this->API->modules('header')) : ?>
	    <section id="gkHeader">
	    	<jdoc:include type="modules" name="header" style="<?php echo $this->module_styles['header']; ?>" />
	    </section>
	    <?php endif; ?>
    
	    <?php if($this->API->modules('banner1 or banner2')) : ?>
	    <section id="gkBanners">
	    	<?php if($this->API->modules('banner1')) : ?>	
	    	<div id="gkBanner1">
	    		<jdoc:include type="modules" name="banner1" style="<?php echo $this->module_styles['banner1']; ?>" />
	    	</div>
	    	<?php endif; ?>
	    	
	    	<?php if($this->API->modules('banner2')) : ?>	
	    	<div id="gkBanner2">
	    		<jdoc:include type="modules" name="banner2" style="<?php echo $this->module_styles['banner2']; ?>" />
	    	</div>
	    	<?php endif; ?>
	    </section>
	    <?php endif; ?>
    
		<section id="gkPage"> 
	    	<?php if($this->API->modules('top1 + top2 + top3 + top4 + top5 + top6') && $top_1_6_columns !== null) : ?>
	    	<section id="gkTop1">
	    		<?php foreach($top_1_6_columns as $column) : ?>
	    			<?php if($column !== null && $this->API->modules($column['name'])) : ?>	
	    			<div id="gkTop<?php echo $column['name']; ?>" class="gkCol <?php echo $column['class']; ?>">
	    				<?php $this->API->addCSSRule('#gkTop'.$column['name'].' { width: ' . $column['width'] . '%; }'); ?>
	    				<jdoc:include type="modules" name="<?php echo $column['name']; ?>" style="<?php echo $this->module_styles[$column['name']]; ?>" />
	    			</div>
	    			<?php endif; ?>
	    		<?php endforeach; ?>
	    	</section>
	    	<?php endif; ?>
	    	
	    	<?php $this->layout->loadBlock('main'); ?>
	    	
	    	<?php $this->layout->loadBlock('bottom1'); ?>
	    </section>
	<!--[if IE 8]></div></div><![endif]-->
	</div>
	 
	<?php $this->layout->loadBlock('bottom2'); ?>
    <?php $this->layout->loadBlock('footer'); ?> 
    	
    <?php $this->layout->loadBlock('tools/login'); ?>
    <div id="gkPopupOverlay"></div>
   	<?php $this->layout->loadBlock('social'); ?>
	<jdoc:include type="modules" name="debug" />
</body>
</html>